coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}2609170000

Get Brand by ID

KR
# 01

簡介

Get Brand by ID

# 02

詳細內容

Available buyer market: Korea

This API is used to retrieve brand details by brandId.

路徑

GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}

範例端點

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}
# 03

Path 參數

NameTypeDescription
brandId*string
Unique brand identifier (e.g. KR-5)
# 04

回應內容

回應訊息

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject
brandId
data.brandId
string
Unique brand identifier (e.g. KR-5)
brandName
data.brandName
string
Brand name (e.g. NIKE)
brandLogoUrl
data.brandLogoUrl
string
Brand logo image URL (null if not available)
isUIDRequired
data.isUIDRequired
boolean
Whether UID (GTIN or MPN) is required for this brand
allowedUIDTypes
data.allowedUIDTypes
object[]
List of allowed UID types (e.g. ["GTIN", "MPN"])

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "brandId": "KR-5",
    "brandName": "NIKE",
    "brandLogoUrl": "https://image11.coupangcdn.com/image/brand/logo/nike.png",
    "isUIDRequired": true,
    "allowedUIDTypes": [
      "GTIN",
      "MPN"
    ]
  }
}
# 05

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 Bad Request

Failed to retrieve brand.

Ensure the brandId is valid.

400400 Bad Request

Invalid brandId format.

Verify the brandId format (e.g. KR-5).